Attention is currently required from: laforge, lynxis lazus.
dexter has posted comments on this change. ( https://gerrit.osmocom.org/c/pysim/+/34884?usp=email )
Change subject: pySim-shell: don't get trapped in applications without file system
......................................................................
Patch Set 4:
(1 comment)
This change is ready for review.
File pySim-shell.py:
https://gerrit.osmocom.org/c/pysim/+/34884/comment/bfa9df8b_7c051cdc
PS2, Line 620: "a0000000871002", "a0000000871004"]:
> I have now changed the code so that it does no longer use the hardcoded identifiers. Also not "ADF. […]
With the help of the fixed selected_adf and the new has_fs flag in the ADF classes (see patches before this one) I managed to get a generic solution.
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/34884?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: Ia2fdd65f430c07acb1afdaf265d24c6928b654e0
Gerrit-Change-Number: 34884
Gerrit-PatchSet: 4
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Comment-Date: Thu, 26 Oct 2023 09:30:16 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: laforge <laforge(a)osmocom.org>
Comment-In-Reply-To: dexter <pmaier(a)sysmocom.de>
Gerrit-MessageType: comment
dexter has uploaded this change for review. ( https://gerrit.osmocom.org/c/pysim/+/34902?usp=email )
Change subject: filesystem: add flag to tell whether an ADF supports an FS or not
......................................................................
filesystem: add flag to tell whether an ADF supports an FS or not
An ADF may or may not support a file system. For example ADF.ARA-M does
not have any filesystem support, which means the SELECT we may use from
this ADF is limited and an can only select a different application. To
know about this in advance let's add a flag that we set when we
instantiate an ADF.
Change-Id: Ifd0f7c34164685ea18d8a746394e55416fa0aa66
Related: OS#5418
---
M pySim/filesystem.py
M pySim/ts_31_102.py
M pySim/ts_31_103.py
M pySim/ts_31_104.py
4 files changed, 24 insertions(+), 7 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/pysim refs/changes/02/34902/1
diff --git a/pySim/filesystem.py b/pySim/filesystem.py
index 5950ad1..bddb9a7 100644
--- a/pySim/filesystem.py
+++ b/pySim/filesystem.py
@@ -505,11 +505,12 @@
class CardADF(CardDF):
"""ADF (Application Dedicated File) in the smart card filesystem"""
- def __init__(self, aid: str, **kwargs):
+ def __init__(self, aid: str, has_fs: bool=False, **kwargs):
super().__init__(**kwargs)
# reference to CardApplication may be set from CardApplication constructor
self.application = None # type: Optional[CardApplication]
self.aid = aid # Application Identifier
+ self.has_fs = has_fs # Flag to tell whether the ADF supports a filesystem or not
mf = self.get_mf()
if mf:
mf.add_application_df(self)
diff --git a/pySim/ts_31_102.py b/pySim/ts_31_102.py
index cd0d99c..7c9a63c 100644
--- a/pySim/ts_31_102.py
+++ b/pySim/ts_31_102.py
@@ -1369,9 +1369,9 @@
class ADF_USIM(CardADF):
- def __init__(self, aid='a0000000871002', name='ADF.USIM', fid=None, sfid=None,
+ def __init__(self, aid='a0000000871002', has_fs=True, name='ADF.USIM', fid=None, sfid=None,
desc='USIM Application'):
- super().__init__(aid=aid, fid=fid, sfid=sfid, name=name, desc=desc)
+ super().__init__(aid=aid, has_fs=has_fs, fid=fid, sfid=sfid, name=name, desc=desc)
# add those commands to the general commands of a TransparentEF
self.shell_commands += [self.AddlShellCommands()]
diff --git a/pySim/ts_31_103.py b/pySim/ts_31_103.py
index 4327a1a..5268c70 100644
--- a/pySim/ts_31_103.py
+++ b/pySim/ts_31_103.py
@@ -258,9 +258,9 @@
class ADF_ISIM(CardADF):
- def __init__(self, aid='a0000000871004', name='ADF.ISIM', fid=None, sfid=None,
+ def __init__(self, aid='a0000000871004', has_fs=True, name='ADF.ISIM', fid=None, sfid=None,
desc='ISIM Application'):
- super().__init__(aid=aid, fid=fid, sfid=sfid, name=name, desc=desc)
+ super().__init__(aid=aid, has_fs=has_fs, fid=fid, sfid=sfid, name=name, desc=desc)
files = [
EF_IMPI(),
diff --git a/pySim/ts_31_104.py b/pySim/ts_31_104.py
index 0adafba..239acbf 100644
--- a/pySim/ts_31_104.py
+++ b/pySim/ts_31_104.py
@@ -30,9 +30,9 @@
class ADF_HPSIM(CardADF):
- def __init__(self, aid='a000000087100A', name='ADF.HPSIM', fid=None, sfid=None,
+ def __init__(self, aid='a000000087100A', has_fs=True, name='ADF.HPSIM', fid=None, sfid=None,
desc='HPSIM Application'):
- super().__init__(aid=aid, fid=fid, sfid=sfid, name=name, desc=desc)
+ super().__init__(aid=aid, has_fs=has_fs, fid=fid, sfid=sfid, name=name, desc=desc)
files = [
EF_ARR(fid='6f06', sfid=0x06),
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/34902?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: Ifd0f7c34164685ea18d8a746394e55416fa0aa66
Gerrit-Change-Number: 34902
Gerrit-PatchSet: 1
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-MessageType: newchange
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ci/+/34901?usp=email )
Change subject: scripts/tarballs: gapk > v1.0: use make dist-bzip2
......................................................................
scripts/tarballs: gapk > v1.0: use make dist-bzip2
Use autotools logic to build tarballs for gapk above version v1.0.
Related: OS#6227
Change-Id: If9a04b458553e311cf8b891b204244db2b1ae2d8
---
M scripts/tarballs/prefer-configure.sh
1 file changed, 28 insertions(+), 7 deletions(-)
Approvals:
fixeria: Looks good to me, approved
Jenkins Builder: Verified
diff --git a/scripts/tarballs/prefer-configure.sh b/scripts/tarballs/prefer-configure.sh
index f9f8613..295b239 100755
--- a/scripts/tarballs/prefer-configure.sh
+++ b/scripts/tarballs/prefer-configure.sh
@@ -11,13 +11,22 @@
case "$PROJECT" in
gapk)
- # Running gapk's configure involves running libgsmhr/fetch_sources.py,
- # which according to git log doesn't really work unless using the
- # version from master and it looks like we don't want to distribute
- # these sources directly... or else we should just add them to the git
- # repository and not rely on downloading a remote archive that may just
- # change at any time. So create a simple git archive instead.
- exit 1
+ case "$TAG" in
+ v0.*|v1.0)
+ # Running gapk's configure involves running libgsmhr/fetch_sources.py,
+ # which according to git log doesn't really work unless using the
+ # version from master and it looks like we don't want to distribute
+ # these sources directly... or else we should just add them to the git
+ # repository and not rely on downloading a remote archive that may just
+ # change at any time. So create a simple git archive instead.
+ exit 1
+ ;;
+ *)
+ # Fixed above v1.0
+ # https://gerrit.osmocom.org/c/gapk/+/34892/1
+ exit 0
+ ;;
+ esac
;;
*)
exit 0
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/34901?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: If9a04b458553e311cf8b891b204244db2b1ae2d8
Gerrit-Change-Number: 34901
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ci/+/34901?usp=email )
Change subject: scripts/tarballs: gapk > v1.0: use make dist-bzip2
......................................................................
scripts/tarballs: gapk > v1.0: use make dist-bzip2
Use autotools logic to build tarballs for gapk above version v1.0.
Related: OS#6227
Change-Id: If9a04b458553e311cf8b891b204244db2b1ae2d8
---
M scripts/tarballs/prefer-configure.sh
1 file changed, 28 insertions(+), 7 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/01/34901/1
diff --git a/scripts/tarballs/prefer-configure.sh b/scripts/tarballs/prefer-configure.sh
index f9f8613..295b239 100755
--- a/scripts/tarballs/prefer-configure.sh
+++ b/scripts/tarballs/prefer-configure.sh
@@ -11,13 +11,22 @@
case "$PROJECT" in
gapk)
- # Running gapk's configure involves running libgsmhr/fetch_sources.py,
- # which according to git log doesn't really work unless using the
- # version from master and it looks like we don't want to distribute
- # these sources directly... or else we should just add them to the git
- # repository and not rely on downloading a remote archive that may just
- # change at any time. So create a simple git archive instead.
- exit 1
+ case "$TAG" in
+ v0.*|v1.0)
+ # Running gapk's configure involves running libgsmhr/fetch_sources.py,
+ # which according to git log doesn't really work unless using the
+ # version from master and it looks like we don't want to distribute
+ # these sources directly... or else we should just add them to the git
+ # repository and not rely on downloading a remote archive that may just
+ # change at any time. So create a simple git archive instead.
+ exit 1
+ ;;
+ *)
+ # Fixed above v1.0
+ # https://gerrit.osmocom.org/c/gapk/+/34892/1
+ exit 0
+ ;;
+ esac
;;
*)
exit 0
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/34901?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: If9a04b458553e311cf8b891b204244db2b1ae2d8
Gerrit-Change-Number: 34901
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-MessageType: newchange
Attention is currently required from: fixeria, lynxis lazus, pespin.
osmith has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/34895?usp=email )
Change subject: epdg: Test Handover from Wifi back to LTE
......................................................................
Patch Set 1:
(3 comments)
File epdg/EPDG_Tests.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/34895/comment/99921568_69f4…
PS1, Line 451: setverdict(pass);
you explicitly mention cause="Access changed from non-3gpp to 3gpp" below. maybe check the cause here?
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/34895/comment/1b31a2ea_a10b…
PS1, Line 459: /* f_gtp2_register_udmsg('63'O); TODO: is this needed? */
do you want to keep this? (if the test works without it, I guess it is not needed?)
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/34895/comment/842fee6b_9852…
PS1, Line 533: Brearer
Bearer
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/34895?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I299faf28fa51dbc5d2de6c72a39a01eca67a5775
Gerrit-Change-Number: 34895
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Comment-Date: Thu, 26 Oct 2023 08:52:11 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
neels has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-mgw/+/34900?usp=email )
Change subject: add fmtp string to ptmap: allow all possible fmtp
......................................................................
Patch Set 1:
(1 comment)
This change is ready for review.
Patchset:
PS1:
ttcn3 tests still fail, @pmaier@sysmocom.de would be great if you could take a look..?
--
To view, visit https://gerrit.osmocom.org/c/osmo-mgw/+/34900?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-mgw
Gerrit-Branch: master
Gerrit-Change-Id: If58590bda8627519ff07e0b6f43aa47a274f052b
Gerrit-Change-Number: 34900
Gerrit-PatchSet: 1
Gerrit-Owner: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-CC: dexter <pmaier(a)sysmocom.de>
Gerrit-Comment-Date: Thu, 26 Oct 2023 01:56:41 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Attention is currently required from: dexter, pespin.
neels has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-mgw/+/34351?usp=email )
Change subject: mgcp_client_fsm: fix inconsistent API (param_present, param).
......................................................................
Patch Set 8:
(1 comment)
Patchset:
PS8:
to put money where my mouth is, i actually implemented my suggestions in alternative patch https://gerrit.osmocom.org/c/osmo-mgw/+/34900
--
To view, visit https://gerrit.osmocom.org/c/osmo-mgw/+/34351?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-mgw
Gerrit-Branch: master
Gerrit-Change-Id: I50d737f3f3d45e4004c64101700a471fe75b3436
Gerrit-Change-Number: 34351
Gerrit-PatchSet: 8
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: neels <nhofmeyr(a)sysmocom.de>
Gerrit-CC: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: dexter <pmaier(a)sysmocom.de>
Gerrit-Comment-Date: Thu, 26 Oct 2023 01:55:15 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
neels has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-mgw/+/34900?usp=email )
Change subject: add fmtp string to ptmap: allow all possible fmtp
......................................................................
Patch Set 1:
(1 comment)
Patchset:
PS1:
context: this patch replaces https://gerrit.osmocom.org/c/osmo-mgw/+/34351
--
To view, visit https://gerrit.osmocom.org/c/osmo-mgw/+/34900?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-mgw
Gerrit-Branch: master
Gerrit-Change-Id: If58590bda8627519ff07e0b6f43aa47a274f052b
Gerrit-Change-Number: 34900
Gerrit-PatchSet: 1
Gerrit-Owner: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Comment-Date: Thu, 26 Oct 2023 01:54:33 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment